/*
 * Copyright (c) 1999 by Preston Brown <pbrown@kde.org>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

#include <kuniqueapplication.h>
#include <tdecmdlineargs.h>
#include <tdelocale.h>
#include <stdlib.h>
#include <tdeaboutdata.h>

#include "secpolicywin.h"

static const char description[] = 
	I18N_NOOP("Display PAM security policies");

static const char version[] = "v0.0.1";


int main(int argc, char **argv)
{
  TDEAboutData aboutData("secpolicy", I18N_NOOP("secpolicy"),
                         version, description, TDEAboutData::License_GPL,
                         "(c) 1999 by Preston Brown");
  TDECmdLineArgs::init( argc, argv, &aboutData );
  aboutData.addAuthor( "Preston Brown", 0, "pbrown@kde.org");

  if (!KUniqueApplication::start())
     exit(0);

  KUniqueApplication app;
  SecPolicyWin *spWin = new SecPolicyWin();

  app.setMainWidget(spWin);
  return app.exec();
}
